/*
 * Copyright (c) 2023-2024.
 * Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.nachricht;

import java.util.Collection;
import java.util.List;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import lombok.extern.log4j.Log4j2;

@Log4j2
@NoArgsConstructor(access = AccessLevel.PRIVATE)
class RueckfrageHeaderMapper {

	static List<RueckfrageHeader> fromNachrichtHeaders(Collection<NachrichtHeader> nachrichtHeaders) {
		return nachrichtHeaders.stream().map(RueckfrageHeaderMapper::fromNachrichtHeader).toList();
	}

	private static RueckfrageHeader fromNachrichtHeader(NachrichtHeader nachrichtHeader) {
		return RueckfrageHeader.builder()
		  .title(nachrichtHeader.title())
		  .nachrichtHeader(nachrichtHeader)
		  .trustLevel(nachrichtHeader.trustLevel())
		  .accessible(nachrichtHeader.accessible())
		  .status(nachrichtHeader.status())
		  .build();
	}

}
