/*
 * Copyright (c) 2024.   Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten
 * des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.attachments;

import static de.ozgcloud.antragsraum.attachments.OzgFileTestFactory.*;

import java.io.IOException;
import java.io.OutputStream;
import java.util.concurrent.CompletableFuture;

import de.ozgcloud.antragsraum.proxy.AntragraumGrpcGetAttachmentMetadataResponse;

class StubFileRestClient extends FileRestClient {

	public StubFileRestClient() {
		super(null);
	}

	public AntragraumGrpcGetAttachmentMetadataResponse getFileMetadata(FileIdentificationData fileIdentificationData, final String address) {
		return AntragraumGrpcGetAttachmentMetadataResponseTestFactory.create();
	}

	public void uploadFile(final OzgUploadFile uploadFile, final String address, final CompletableFuture<String> fileIdFuture) {
		fileIdFuture.complete(FILE_ID);
	}

	public void downloadFileContent(FileIdentificationData fileIdentificationData, final String address, final OutputStream out) {
		try {
			out.write(OzgUploadFileTestFactory.MULTIPART_FILE.getBytes());
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}

}
