/*
 * Copyright (c) 2024.   Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten
 * des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.command;

import java.util.UUID;

import de.ozgcloud.antragsraum.proxy.AntragraumproxyGrpcCommand;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
class AntragraumproxyGrpcCommandTestFactory {

	public static final String ID = CommandTestFactory.ID;
	static final String CREATED_BY = UUID.randomUUID().toString();
	static final String STATUS = CommandTestFactory.STATUS;
	static final String CREATED_AT = CommandTestFactory.CREATED_AT;
	static final String FINISHED_AT = CommandTestFactory.FINISHED_AT;

	static AntragraumproxyGrpcCommand createCommand() {
		var command = new AntragraumproxyGrpcCommand();
		command.createdAt(CREATED_AT);
		command.id(ID);
		command.createdBy(CREATED_BY);
		command.finishedAt(FINISHED_AT);
		command.setStatus(STATUS);
		return command;
	}

}
