/*
 * Copyright (c) 2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.security;

import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.util.Date;
import java.util.UUID;

public class UserTestFactory {

	static final String USER_ID = UUID.randomUUID().toString();
	static final String REFRESH_TOKEN = UUID.randomUUID().toString();
	static final String FIRST_NAME = "Paul";
	static final String LAST_NAME = "Panter";
	static final String USER_NAME = FIRST_NAME + "_" + LAST_NAME;
	static final String POSTKORB_HANDLE = UUID.randomUUID().toString();
	static final String TRUST_LEVEL = "STORK-QAA-Level-3";
	public static final String SAML_TOKEN = "saml";
	static final Date TOKEN_EXPIRATION = Date.from(ZonedDateTime.now(ZoneId.of("UTC")).plusMinutes(30L).toInstant());

	public static User create() {
		return createBuilder().build();
	}

	static User.UserBuilder createBuilder() {
		return new User.UserBuilder()
		  .id(USER_ID)
		  .username(USER_NAME)
		  .firstName(FIRST_NAME)
		  .lastName(LAST_NAME)
		  .postkorbHandle(POSTKORB_HANDLE)
		  .refreshCode(REFRESH_TOKEN)
		  .samlToken(SAML_TOKEN)
		  .tokenExpiresAt(TOKEN_EXPIRATION)
		  .trustLevel(TRUST_LEVEL);
	}

}
